org.apache.lucene.search.suggest.jaspell

## Class JaspellLookup

- java.lang.Object
- - org.apache.lucene.search.suggest.Lookup
  - - org.apache.lucene.search.suggest.jaspell.JaspellLookup

- All Implemented Interfaces:
    Accountable

  Deprecated.
  Migrate to one of the newer suggesters which are much more RAM efficient.

      @Deprecated
      public class JaspellLookup
      extends Lookup
      implements Accountable

  Suggest implementation based on JaSpell.
  See Also:
    `JaspellTernarySearchTrie`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.suggest.Lookup

      `Lookup.LookupPriorityQueue, Lookup.LookupResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.suggest.Lookup

      `CHARSEQUENCE_COMPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaspellLookup()` Deprecated. Creates a new empty trie

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(CharSequence key, Object value)` Deprecated. Adds a new node if `key` already exists, otherwise replaces its value.
    `void` | `build(InputIterator iterator)` Deprecated. Builds up a new internal `Lookup` representation based on the given `InputIterator`.
    `Object` | `get(CharSequence key)` Deprecated. Returns the value for the specified key, or null if the key does not exist.
    `long` | `getCount()` Deprecated. Get the number of entries the lookup was built with
    `boolean` | `load(DataInput input)` Deprecated. Discard current lookup data and load it from a previously saved copy.
    `List<Lookup.LookupResult>` | `lookup(CharSequence key, Set<BytesRef> contexts, boolean onlyMorePopular, int num)` Deprecated. Look up a key and return possible completion for this key.
    `long` | `ramBytesUsed()` Deprecated.
    `boolean` | `store(DataOutput output)` Deprecated. Persist the constructed lookup data to a directory.

    - ### Methods inherited from class org.apache.lucene.search.suggest.Lookup

      `build, load, lookup, lookup, store`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Constructor Detail

    - #### JaspellLookup

          public JaspellLookup()

      Deprecated.
      Creates a new empty trie
      See Also:
        `build(InputIterator)`

  - ### Method Detail

    - #### build

          public void build(InputIterator iterator)
                     throws IOException

      Deprecated.
      Description copied from class: `Lookup`
      Builds up a new internal `Lookup` representation based on the given `InputIterator`. The implementation might re-sort the data internally.
      Specified by:
        `build` in class `Lookup`
      Throws:
        `IOException`

    - #### add

          public boolean add(CharSequence key,
                             Object value)

      Deprecated.
      Adds a new node if `key` already exists, otherwise replaces its value.

      This method always returns false.

    - #### get

          public Object get(CharSequence key)

      Deprecated.
      Returns the value for the specified key, or null if the key does not exist.

    - #### lookup

          public List<Lookup.LookupResult> lookup(CharSequence key,
                                                  Set<BytesRef> contexts,
                                                  boolean onlyMorePopular,
                                                  int num)

      Deprecated.
      Description copied from class: `Lookup`
      Look up a key and return possible completion for this key.
      Specified by:
        `lookup` in class `Lookup`
      Parameters:
        `key` - lookup key. Depending on the implementation this may be a prefix, misspelling, or even infix.
        `contexts` - contexts to filter the lookup by, or null if all contexts are allowed; if the suggestion contains any of the contexts, it's a match
        `onlyMorePopular` - return only more popular results
        `num` - maximum number of results to return
      Returns:
        a list of possible completions, with their relative weight (e.g. popularity)

    - #### store

          public boolean store(DataOutput output)
                        throws IOException

      Deprecated.
      Description copied from class: `Lookup`
      Persist the constructed lookup data to a directory. Optional operation.
      Specified by:
        `store` in class `Lookup`
      Parameters:
        `output` - `DataOutput` to write the data to.
      Returns:
        true if successful, false if unsuccessful or not supported.
      Throws:
        `IOException` - when fatal IO error occurs.

    - #### load

          public boolean load(DataInput input)
                       throws IOException

      Deprecated.
      Description copied from class: `Lookup`
      Discard current lookup data and load it from a previously saved copy. Optional operation.
      Specified by:
        `load` in class `Lookup`
      Parameters:
        `input` - the `DataInput` to load the lookup data.
      Returns:
        true if completed successfully, false if unsuccessful or not supported.
      Throws:
        `IOException` - when fatal IO error occurs.

    - #### ramBytesUsed

          public long ramBytesUsed()

      Deprecated.
      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### getCount

          public long getCount()

      Deprecated.
      Description copied from class: `Lookup`
      Get the number of entries the lookup was built with
      Specified by:
        `getCount` in class `Lookup`
      Returns:
        total number of suggester entries

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.